Subject: Perfect replica watches for less

From: " Es" <[email-masked] >
Date: Fri, 6 Jul 2007 10:27:18 +0500

Be on time with one of our luxury replica timepieces – and save money!
The only thing that our watches yield to original ones in is the price!
All the most popular brands always in stock – waiting for you!
http://stflu.com